# zlib_stream Namespace Reference

## Namespaces
namespace | detail
## Classes
class | basic_unzip_streambuf
| A stream decorator that takes compressed input and unzips it to a istream. More...
class | basic_zip_istream
class | basic_zip_ostream
class | basic_zip_streambuf
| A stream decorator that takes raw input and zips it to a ostream. More...
## Typedefs
typedef basic_zip_istream< char > | zip_istream
| A typedef for basic_zip_istream<char>
typedef basic_zip_ostream< char > | zip_ostream
| A typedef for basic_zip_ostream<char>
## Enumerations
enum | EStrategy { StrategyFiltered = 1, StrategyHuffmanOnly = 2, DefaultStrategy = 0 }
| Compression strategy, see zlib doc. More...
## Functions
bool | isGZip (std::istream &is)
| A typedef for basic_zip_ostream<wchar_t>
## Variables
const size_t | zstream_default_buffer_size = 4096

## Typedef Documentation

typedef basic_zip_istream<char> zlib_stream::zip_istream

A typedef for basic_zip_istream<char>

typedef basic_zip_ostream<char> zlib_stream::zip_ostream

A typedef for basic_zip_ostream<char>

## Enumeration Type Documentation

enum zlib_stream::EStrategy

Compression strategy, see zlib doc.

Enumerator:

  StrategyFiltered |
  StrategyHuffmanOnly |
  DefaultStrategy |

## Function Documentation

bool zlib_stream::isGZip | ( | std::istream & | is | ) | `[inline]`

A typedef for basic_zip_ostream<wchar_t>

A typedef for basic_zip_istream<wchart> Helper function to check whether stream is compressed or not.

References zlib_stream::detail::gz_magic.

## Variable Documentation

const size_t zlib_stream::zstream_default_buffer_size = 4096

default gzip buffer size, change this to suite your needs